/*
Proyecto: Comunicación de Iglesia


*/

:root {
  --main-color: #F0541E;
  --secondary-color: #ACD5DB;
  --tertiary-color: #0D00A5;
}

h2:not(.h3) {
    text-transform: uppercase;
}

.section-bg--light-blue {
    background-color: rgba(172,213,219,.25);
    background-image: url(../img/pattern.svg);
}

.section-bg--orange {
    background-color: var(--main-color);
    background-image: url(../img/pattern.svg);
    color: white;
}

.text--featured p {
    line-height: 1.5em;
    font-size: 1.5em;
}

.icon--featured { 
    font-size: 56px;
    color: var(--tertiary-color);
}

.uc-navbar .uc-navbar_nav .nav-item:first-child {
    border-left: 1px solid var(--secondary-color);
}
.uc-navbar .uc-navbar_nav .nav-item {
    border-right: 1px solid var(--secondary-color);
}

.uc-text-divider.divider-primary {
    background-color: var(--tertiary-color);
}

.uc-footer {
    background-color: var(--tertiary-color);
}

.color-blue {
    color: var(--tertiary-color) !important;
}
/* Botones */
.uc-btn.btn-secondary {
    background-color: var(--main-color);
    font-size: 1.25em;
    color: white;
}

.uc-btn.btn-secondary:hover {
    background-color: var(--tertiary-color);
}

.uc-btn.btn-cta {
    background-color: var(--secondary-color);
    padding: 24px 20px;
    color: var(--tertiary-color);
    font-size: 1.25em;
    border: 2px solid white;
}

.uc-btn.btn-cta:hover { 
    background-color: var(--tertiary-color);
    color: white;
}

.uc-btn.btn-cta .uc-icon {
    color: var(--tertiary-color);
}

.uc-btn.btn-cta:hover .uc-icon { 
    color: white;
}

/* Hero */

.text--slogan {
    color: var(--tertiary-color);
    font-weight: bold;
    font-size: 4em;
    line-height: 1.2em;
    margin-bottom: 0px;
    font-style: italic;
    display: block;
}

@media (max-width: 1199px) {
    .text--slogan {
        font-size: 2em;
    }
}

@media (max-width: 767px) {
    .text--slogan {
        font-size: 2.6em;
    }
}
.text--slogan i {
    display: inline;
    padding: 0 8px;
    /* Padding se aplique al inicio y fin de cada línea */
    -webkit-box-decoration-break: clone;
    box-decoration-break: clone;
    /* Degradado ajustado */
    background-image: linear-gradient(to top,
            var(--secondary-color) 40%,
            transparent 40%);
    /* Ajuste para centrar el texto verticalmente */
    line-height: 1.1;
}
.text--bajada {
    color: var(--tertiary-color);
    font-size: 1.9em;
}
@media (max-width: 1199px) {
    .text--bajada {
        font-size: 1.2em;
    }
}


/* Invitados */
.item-invitado {
    /*display: grid;*/ /*Se oculta para poner la foto arriba */
    grid-template-rows: 1fr 2fr;
    gap: 20px;   
    /*min-height: 112px;*/ /*Se oculta para poner la foto arriba */
}
.item-invitado:not(:has(.item-invitado__foto)) {
  grid-template-rows: 1fr;
}
/*@media (min-width: 1200px)  {
    .item-invitado {
        min-height: 162px;
    }
}*/
@media (max-width: 1199px)  {
    .item-invitado {
        grid-template-columns: 1fr 4fr;
    }
}
@media (max-width: 768px)  {
    .item-invitado {
        grid-template-columns: 2fr 7fr;
    }
}
/*@media (max-width: 991px)  {
    .item-invitado__foto {
       width: 90px;  
    }
}*/ /*Se oculta para poner la foto arriba */
.item-invitado__foto .avatar {
    /*width: 100%; */ /*Se oculta para poner la foto arriba */
    width: 120px;
    height: auto;
    position: relative;
    margin-bottom: 24px;
}
.item-invitado__foto::after {
    content: "";
    position: absolute;
    left:   22px;
    top:    6px; 
    width:  120px;
    height: 120px;
    background-image: url('../img/circulo-avatar.svg'); 
    background-size: cover;
    background-repeat: no-repeat;
}
/*@media (max-width: 1199px)  {
    .item-invitado__foto::after {
        width:  90px;
        /*height: 90px; 
    }
} */ /*Se oculta para poner la foto arriba */

.invitado__text__name {
    text-transform: uppercase;
    font-size: 1.25em;
    line-height: 1.2em;
    color: var(--main-color);
    margin-top: 12px;
    margin-bottom: 4px;
}
.invitado__text__position { 
    color: var(--tertiary-color);
    font-size: 1em;
    line-height: 1.4em;
    margin-bottom: 0;
}



/* Logos */

.card--logos {
    border: 2px solid var(--main-color);
    box-shadow: none;
    text-align: center;
    display: flex;
    justify-content: center; /* Centra horizontalmente */
    align-items: center;     /* Centra verticalmente (opcional) */
}
.card--logos .uc-card_body {
    width: 100%;
    display: flex;
  justify-content: center; /* Centra horizontalmente */
  align-items: center;

}

.card--logos img {
    max-width: 240px;
    max-height: 110px;
}
